
From: "Nguyen, Tom L" <tom.l.nguyen@intel.com>

 
Somehow the change in TARGET_CPUS generated this error in UP environment.
Patch below will fix it.  

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-i386/msi.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-i386/msi.h~msi-target-cpus-fix include/asm-i386/msi.h
--- 25/include/asm-i386/msi.h~msi-target-cpus-fix	2004-06-09 18:06:57.528933200 -0700
+++ 25-akpm/include/asm-i386/msi.h	2004-06-09 18:06:57.531932744 -0700
@@ -16,7 +16,7 @@
 #ifdef CONFIG_SMP
 #define MSI_TARGET_CPU		logical_smp_processor_id()
 #else
-#define MSI_TARGET_CPU		TARGET_CPUS
+#define MSI_TARGET_CPU	cpu_to_logical_apicid(first_cpu(cpu_online_map))
 #endif
 
 #endif /* ASM_MSI_H */
_
